import request from "@/utils/request"

// 根据条件搜索招聘职位
export const getJobAdvertisedSearch = (params) => {
  return request({
    url: '/app-api/menduner/system/job/advertised/search',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 职位详情
export const getPositionDetails = (params) => {
  return request({
    url: '/app-api/menduner/system/job/advertised/get/detail',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: false
    }
  })
}


// 效验招聘职位是否投递
export const jobCvRelCheckSend = (params) => {
  return request({
    url: '/app-api/menduner/system/job-cv-rel/send/check',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 效验求职者是否收藏该职位
export const getJobFavoriteCheck = (params) => {
  return request({
    url: '/app-api/menduner/system/person/job/favorite/check',
    method: 'GET',
    params,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 求职者收藏职位
export const getPersonJobFavorite = (data) => {
  return request({
    url: '/app-api/menduner/system/person/job/favorite',
    method: 'POST',
    data,
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// 求职者取消收藏职位
export const getPersonJobUnfavorite = (jobId) => {
  return request({
    url: `/app-api/menduner/system/person/job/unfavorite?jobId=` + jobId,
    method: 'DELETE',
    // params: {
    //   jobId
    // },
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// 投递简历
export const jobCvRelSend = (data) => {
  return request({
    url: '/app-api/menduner/system/job-cv-rel/send',
    method: 'POST',
    data,
    custom: {
      auth: true,
      showLoading: false
    }
  })
}
